System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Configuration.IConfigurationSectionHandler

The file attribute of the <appSettings> section specifies a relative path to an external file that contains custom application-configuration settings. The details provided in the file act as an <appSettings> section in the configuration file. The file is accessed using the class. The file's root element must match the section referring to it.

Provides access to a configuration file. This type supports the .NET Framework configuration infrastructure and is not intended to be used directly from your code.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The object parameter acts as the configuration settings in the corresponding parent configuration section. The object parameter is the virtual path for which the configuration section handler computes configuration values. Normally this parameter is reserved and is null. The parameter is the that contains the configuration information to be handled. The parameter provides direct access to the XML contents of the configuration section.

  Creates a new configuration handler and adds it to the section-handler collection based on the specified parameters.

  A configuration object.

  The parent object. The configuration context object. The section XML node.